## org.apache.lucene.queryParser.standard.config
Interface DefaultPhraseSlopAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  DefaultPhraseSlopAttributeImpl

Deprecated.

    @Deprecated
    public interface DefaultPhraseSlopAttribute

extends Attribute

This attribute is used by `PhraseSlopQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default phrase slop when no slop is defined in a phrase.

Method Summary
`int` `getDefaultPhraseSlop()` Deprecated.
`void` `setDefaultPhraseSlop(int defaultPhraseSlop)` Deprecated.

Method Detail

### setDefaultPhraseSlop

    void setDefaultPhraseSlop(int defaultPhraseSlop)

  Deprecated.

### getDefaultPhraseSlop

    int getDefaultPhraseSlop()

  Deprecated.